export default {
	tabWidth: 2, // 缩进
	useTabs: true, // 缩进方式
	trailingComma: 'all',
	semi: false, // 语句结尾是否加分号
	singleQuote: true, // 单引号
	printWidth: 120, // 换行长度
	arrowParens: 'always', // 箭头函数参数
	bracketSpacing: true, // 对象花括号内是否加空格
	endOfLine: 'lf',
	vueIndentScriptAndStyle: true, // vue文件内script和style标签缩进
	htmlWhitespaceSensitivity: 'ignore',
	overrides: [
		{
			files: '.prettierrc',
			options: {
				parser: 'json',
			},
		},
	],
}
