import type { App } from 'vue'
import { createPinia } from 'pinia'
import piniaPersist from 'pinia-plugin-persistedstate'

const store = createPinia()
store.use(piniaPersist)

export default {
	install: (app: App) => {
		app.use(store)
	},
}
